#include <Application.h>
#include <Directory.h>
#include <Entry.h>
#include <Path.h>
#include <Screen.h>
#include <be/add-ons/tracker/TrackerAddOn.h>

#include "PlayWindow.h"

void process_refs(entry_ref, BMessage *msg, void *) 
{
	// Create a window in the middle of the screen
	float winWidth = 450;
	float winHeight = 250;

	BScreen theScreen;
	BRect playBox = theScreen.Frame();
	float screenWidth = playBox.right;
	float screenHeight = playBox.bottom;
	
	playBox.left = (screenWidth - winWidth) / 2;
	playBox.top = (screenHeight - winHeight) / 2;
	playBox.right = playBox.left + winWidth;
	playBox.bottom = playBox.top + winHeight;

	PlayWindow *playWin = new PlayWindow(playBox);	

	// Fill the list with items
	entry_ref ref;
	for (int32 i=0; msg->FindRef("refs", i, &ref) == B_OK; i++) 
		playWin->AddSongs(ref);
	
	// Show the window, and wait for it to close before returning
	playWin->Show();
	thread_id winthread = playWin->Thread();
	status_t exit_value;
	wait_for_thread(winthread, &exit_value);	
}
